## com.lowagie.text
Class ImgRaw

    java.lang.Object
      com.lowagie.text.Rectangle
          com.lowagie.text.Image
              com.lowagie.text.ImgRaw

All Implemented Interfaces:
  Element, MarkupAttributes

    public class ImgRaw

extends Image
implements Element

Raw Image data that has to be inserted into the document

Author:
  Paulo Soares
See Also:
  `Element`, `Image`

Field Summary

Fields inherited from class com.lowagie.text.Image

`absoluteX, absoluteY, alignment, alt, annotation, AX, AY, bpc, BX, BY, colorspace, CX, CY, DEFAULT, deflated, dpiX, dpiY, DX, DY, imageMask, indentationLeft, indentationRight, interpolation, invert, layer, LEFT, markupAttributes, mask, MIDDLE, mySerialId, ORIGINAL_BMP, ORIGINAL_GIF, ORIGINAL_JPEG, ORIGINAL_NONE, ORIGINAL_PNG, ORIGINAL_PS, ORIGINAL_TIFF, ORIGINAL_WMF, originalData, originalType, plainHeight, plainWidth, profile, rawData, RIGHT, rotation, scaledHeight, scaledWidth, serialId, spacingAfter, spacingBefore, template, TEXTWRAP, transparency, type, UNDERLYING, url`

Fields inherited from class com.lowagie.text.Rectangle
`background, border, borderColorBottom, borderColorLeft, borderColorRight, borderColorTop, borderWidth, borderWidthBottom, borderWidthLeft, borderWidthRight, borderWidthTop, BOTTOM, BOX, color, llx, lly, NO_BORDER, TOP, UNDEFINED, urx, ury, useVariableBorders`

Fields inherited from interface com.lowagie.text.Element

`ALIGN_BASELINE, ALIGN_BOTTOM, ALIGN_CENTER, ALIGN_JUSTIFIED, ALIGN_JUSTIFIED_ALL, ALIGN_LEFT, ALIGN_MIDDLE, ALIGN_RIGHT, ALIGN_TOP, ALIGN_UNDEFINED, ANCHOR, ANNOTATION, AUTHOR, CCITT_BLACKIS1, CCITT_ENCODEDBYTEALIGN, CCITT_ENDOFBLOCK, CCITT_ENDOFLINE, CCITTG3_1D, CCITTG3_2D, CCITTG4, CELL, CHAPTER, CHUNK, CREATIONDATE, CREATOR, GRAPHIC, HEADER, IMGRAW, IMGTEMPLATE, JPEG, KEYWORDS, LIST, LISTITEM, MULTI_COLUMN_TEXT, PARAGRAPH, PHRASE, PRODUCER, PTABLE, RECTANGLE, ROW, SECTION, SUBJECT, TABLE, TITLE`

Constructor Summary
`ImgRaw(Image image)`
`ImgRaw(int width, int height, int components, int bpc, byte[] data)` Creats an Image in raw mode.

Method Summary

Methods inherited from class com.lowagie.text.Image

`absoluteX, absoluteY, alignment, alt, annotation, bpc, colorspace, getAdditional, getDirectReference, getDpiX, getDpiY, getICCProfile, getImageMask, getImageRotation, getInitialRotation, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getLayer, getMarkupAttribute, getMarkupAttributeNames, getMarkupAttributes, getMySerialId, getOriginalData, getOriginalType, getSerialId, getTransparency, getWidthPercentage, getXYRatio, hasAbsolutePosition, hasAbsoluteX, hasICCProfile, indentationLeft, indentationRight, isDeflated, isImgRaw, isImgTemplate, isInterpolation, isInverted, isInvertMask, isJpeg, isMask, isMaskCandidate, isSmask, isTag, makeMask, matrix, plainHeight, plainWidth, rawData, scaleAbsolute, scaleAbsoluteHeight, scaleAbsoluteWidth, scaledHeight, scaledWidth, scalePercent, scalePercent, scaleToFit, setAbsolutePosition, setAdditional, setAlignment, setAlt, setAnnotation, setDeflated, setDirectReference, setDpi, setImageMask, setIndentationLeft, setIndentationRight, setInitialRotation, setInterpolation, setInverted, setInvertMask, setLayer, setMarkupAttribute, setMarkupAttributes, setOriginalData, setOriginalType, setRotation, setRotationDegrees, setSmask, setSpacingAfter, setSpacingBefore, setTemplateData, setTransparency, setUrl, setWidthPercentage, setXYRatio, simplifyColorspace, skip, spacingAfter, spacingBefore, tagICC, templateData, toURL, type, unEscapeURL, url`

Methods inherited from class com.lowagie.text.Rectangle

`backgroundColor, border, borderColor, borderWidth, bottom, bottom, cloneNonPositionParameters, disableBorderSide, enableBorderSide, getBorderColorBottom, getBorderColorLeft, getBorderColorRight, getBorderColorTop, getBorderWidthBottom, getBorderWidthLeft, getBorderWidthRight, getBorderWidthTop, getChunks, getRotation, grayFill, hasBorder, hasBorders, height, isUseVariableBorders, left, left, normalize, process, rectangle, right, right, rotate, setBackgroundColor, setBorder, setBorderColor, setBorderColorBottom, setBorderColorLeft, setBorderColorRight, setBorderColorTop, setBorderWidth, setBorderWidthBottom, setBorderWidthLeft, setBorderWidthRight, setBorderWidthTop, setBottom, setGrayFill, setLeft, setRight, setTop, setUseVariableBorders, softCloneNonPositionParameters, top, top, toString, width`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.lowagie.text.Element
`getChunks, process, toString, type`

Constructor Detail

### ImgRaw

    ImgRaw(Image image)

### ImgRaw

    public ImgRaw(int width,
                  int height,
                  int components,
                  int bpc,
                  byte[] data)
           throws BadElementException

  Creats an Image in raw mode.

  Parameters:
    `width` - the exact width of the image
    `height` - the exact height of the image
    `components` - 1,3 or 4 for GrayScale, RGB and CMYK
    `bpc` - bits per component. Must be 1,2,4 or 8
    `data` - the image data
  Throws:
    `BadElementException` - on error